package com.yideb.audit.config;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/10 14:56 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */

public class GlobalConstant {

	public static final Integer DEFAULT_TOP_NUMBER = 30;

	/**
	 * 是否枚举
	 */
	public enum YesOrNo {
		NO(0, "否"), YES(1, "是");

		/**
		 * 码值
		 */
		private final int code;

		/**
		 * 描述
		 */
		private final String desc;

		YesOrNo(final int code, final String desc) {
			this.code = code;
			this.desc = desc;
		}

		public int getCode() {
			return this.code;
		}

		public String getDesc() {
			return this.desc;
		}
	}

	/**
	 * 业务统计枚举
	 */
	public enum BusinessType {
		// 头部
		STORE(1001, "药店注册"),
		PRESCRIPTION(1002, "处方总量"),
		ACCEPT(1003, "发生业务医生"),
		AUDIT(1004, "发生业务药师"),

		// 左下
		STORE_ADD_DAY(1005, "日新增药店趋势"),
		AUDIT_ADD_DAY(1006, "日处方趋势统计"),

		// 右下
		MEDICINE_TOP_10(1007, "处方药销量Top"),
		STORE_TOP_10(1008, "药店处方量Top"),
		MEDICINE_TOP_LEVEL(1009, "处方药销量Top数据量"),
		STORE_TOP_LEVEL(1010, "药店处方量Top数据量"),

		AREA_STORE(1011, "地图");

		/**
		 * 码值
		 */
		private final int code;

		/**
		 * 描述
		 */
		private final String desc;

		BusinessType(final int code, final String desc) {
			this.code = code;
			this.desc = desc;
		}

		public int getCode() {
			return this.code;
		}

		public String getDesc() {
			return this.desc;
		}
	}
}
