package com.yideb.audit.dao.audit;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yideb.audit.entity.audit.vo.BasicVo;
import com.yideb.audit.entity.audit.vo.MapVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/10 15:52 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@Repository
public interface BottomMapper extends BaseMapper {

	/**
	 * 日新增药店
	 *
	 * @param endTime
	 * @return
	 */
	List<BasicVo> dailyStores(@Param("endTime") String endTime);

	/**
	 * 昨日新增药店
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	List<BasicVo> lastDayStores(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 日新增处方
	 *
	 * @param endTime
	 * @return
	 */
	List<BasicVo> dailyPrescriptions(@Param("endTime") String endTime);

	/**
	 * 昨日新增处方
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	List<BasicVo> lastDayPrescriptions(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 药品排名
	 *
	 * @param topNumber
	 * @return
	 */
	List<BasicVo> medicineRank(@Param("topNumber") Integer topNumber);

	/**
	 * 药店处方量排名
	 *
	 * @param topNumber
	 * @return
	 */
	List<BasicVo> storeRank(@Param("topNumber") Integer topNumber);

	/**
	 * 区域地图分布
	 *
	 * @return
	 */
	List<MapVo> storeMap();
}
