package com.yideb.audit.dao.audit;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2019 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/5 14:54 <br>
 * <b>@author：</b> <a href="mailto:Lijing@miyzh.com"> Lijing </a> <br>
 */
public interface TopMapper extends BaseMapper {

	/**
	 * 查找药店注册数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryClinicRegCount(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 查找处方总量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryPrescriptionCount(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 查找药店总量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryClinicCount(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 产生业务的医生数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryDoctorCount(@Param("startTime") String startTime, @Param("endTime") String endTime);

	/**
	 * 产生业务的药师数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryPharmacistCount(@Param("startTime") String startTime, @Param("endTime") String endTime);
}
