package com.yideb.audit.entity.hub;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2019 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/5 16:58 <br>
 * <b>@author：</b> <a href="mailto:Lijing@miyzh.com"> Lijing </a> <br>
 */
@Data
@TableName("yideb_basic_statistic")
public class BasicStatistic extends Model<BasicStatistic> {

	@TableId("id")
	private String id;
	/**
	 * 累计药店注册数量
	 */
	@TableField("total_clinic_reg_count")
	private Integer totalClinicRegCount;

	/**
	 * 累计处方总量
	 */
	@TableField("total_prescription_count")
	private Integer totalPrescriptionCount;

	/**
	 * 本周注册药店
	 */
	@TableField("week_clinic_reg_count")
	private Integer weekClinicRegCount;

	/**
	 * 今日处方总量
	 */
	@TableField("today_prescription_count")
	private Integer todayPrescriptionCount;

	/**
	 * 今日药店数量 (发生业务数据的)
	 */
	@TableField("today_clinic_count")
	private Integer todayClinicCount;

	/**
	 * 今日医生数量 (发生业务数据的)
	 */
	@TableField("today_doctor_count")
	private Integer todayDoctorCount;

	/**
	 * 今日药师数量 (发生业务数据的)
	 */
	@TableField("today_pharmacist_count")
	private Integer todayPharmacistCount;
}
