package com.yideb.audit.service.audit;

import com.yideb.audit.entity.audit.vo.BasicVo;
import com.yideb.audit.entity.audit.vo.MapVo;

import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/10 15:35 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
public interface IBottomService {

	/**
	 * 昨日之前所有的日新增药店
	 *
	 * @return
	 */
	List<BasicVo> dailyStores(String endTime);

	/**
	 * 昨日新增药店
	 *
	 * @return
	 */
	List<BasicVo> lastDayStores(String startTime, String endTime);

	/**
	 * 昨日之前所有的日新增处方
	 *
	 * @return
	 */
	List<BasicVo> dailyPrescriptions(String endTime);

	/**
	 * 昨日新增处方
	 *
	 * @return
	 */
	List<BasicVo> lastDayPrescriptions(String startTime, String endTime);

	/**
	 * 药品排名
	 *
	 * @param topNumber
	 * @return
	 */
	List<BasicVo> medicineRank(Integer topNumber);

	/**
	 * 药店处方量排名
	 *
	 * @param topNumber
	 * @return
	 */
	List<BasicVo> storeRank(Integer topNumber);

	/**
	 * 区域药店分布
	 *
	 * @return
	 */
	List<MapVo> storeMap();
}
