package com.yideb.audit.service.audit;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2019 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/5 18:40 <br>
 * <b>@author：</b> <a href="mailto:Lijing@miyzh.com"> Lijing </a> <br>
 */
public interface ITopService {
	/**
	 * 查找药店注册数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryClinicRegCount(String startTime, String endTime);

	/**
	 * 查找处方总量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryPrescriptionCount(String startTime, String endTime);

	/**
	 * 查找药店数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryClinicCount(String startTime, String endTime);

	/**
	 * 产生业务的医生数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryDoctorCount(String startTime, String endTime);

	/**
	 * 产生业务的药师数量
	 *
	 * @param startTime
	 * @param endTime
	 * @return
	 */
	Integer queryPharmacistCount(String startTime, String endTime);
}
