package com.yideb.audit.service.audit.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.yideb.audit.dao.audit.BottomMapper;
import com.yideb.audit.entity.audit.vo.BasicVo;
import com.yideb.audit.entity.audit.vo.MapVo;
import com.yideb.audit.service.audit.IBottomService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/10 15:36 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@DS("mysql")
@Service
public class IBottomServiceImpl implements IBottomService {

	@Resource
	private BottomMapper bottomMapper;


	@Override
	public List<BasicVo> dailyStores(String endTime) {
		return bottomMapper.dailyStores(endTime);
	}

	@Override
	public List<BasicVo> lastDayStores(String startTime, String endTime) {
		return bottomMapper.lastDayStores(startTime, endTime);
	}

	@Override
	public List<BasicVo> dailyPrescriptions(String endTime) {
		return bottomMapper.dailyPrescriptions(endTime);
	}

	@Override
	public List<BasicVo> lastDayPrescriptions(String startTime, String endTime) {
		return bottomMapper.lastDayPrescriptions(startTime, endTime);
	}

	@Override
	public List<BasicVo> medicineRank(Integer topNumber) {
		return bottomMapper.medicineRank(topNumber);
	}

	@Override
	public List<BasicVo> storeRank(Integer topNumber) {
		return bottomMapper.storeRank(topNumber);
	}

	@Override
	public List<MapVo> storeMap() {
		return bottomMapper.storeMap();
	}
}
