package com.yideb.audit.service.audit.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.config.GlobalConstant;
import com.yideb.audit.dao.audit.StatisticConfigMapper;
import com.yideb.audit.entity.audit.StatisticConfig;
import com.yideb.audit.service.audit.IStatisticConfigService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * <p>
    * yideb-audit-statistic，业务配置表 服务实现类
    * </p>
 *
 * @author lijing
 * @since 2020-08-10
 */
@DS("mysql")
@Service
public class StatisticConfigServiceImpl extends ServiceImpl<StatisticConfigMapper, StatisticConfig> implements IStatisticConfigService {

	@Resource
	private StatisticConfigMapper configMapper;

	@Override
	public Map<Integer, Integer> allConfigs() {
		QueryWrapper<StatisticConfig> wrapper = new QueryWrapper<>();
		wrapper.eq("status", GlobalConstant.YesOrNo.YES.getCode());
		List<StatisticConfig> statisticConfigs = configMapper.selectList(wrapper);

		if (CollectionUtil.isEmpty(statisticConfigs)) {
			return new HashMap<>(2);
		}

		return statisticConfigs.stream().collect(Collectors.toMap(StatisticConfig::getBusinessType, StatisticConfig::getValue));
	}
}
