package com.yideb.audit.service.hub.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.IdUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.dao.hub.AreaStoreMapper;
import com.yideb.audit.entity.audit.vo.MapVo;
import com.yideb.audit.entity.hub.AreaStore;
import com.yideb.audit.service.hub.IAreaStoreService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/11 10:26 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@DS("postgresql")
@Service
public class AreaStoreServiceImpl extends ServiceImpl<AreaStoreMapper, AreaStore> implements IAreaStoreService {
	@Override
	public Boolean batchService(List<MapVo> list, Integer areaStoreMultiple) {
		if (CollectionUtil.isEmpty(list)) {
			return Boolean.FALSE;
		}

		remove(new QueryWrapper<>());
		List<AreaStore> areaStores = new ArrayList<>(30);
		list.forEach(v -> {
			AreaStore areaStore = new AreaStore();
			areaStore.setId(IdUtil.simpleUUID());
			areaStore.setProvince(v.getProvince());
			areaStore.setCity(v.getCity());
			areaStore.setNumber(v.getValue() * areaStoreMultiple);
			areaStores.add(areaStore);
		});


		return saveBatch(areaStores);
	}
}
