package com.yideb.audit.service.hub.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.IdUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.dao.hub.PrescriptionRankMapper;
import com.yideb.audit.entity.audit.vo.BasicVo;
import com.yideb.audit.entity.hub.PrescriptionRank;
import com.yideb.audit.service.hub.IPrescriptionRankService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/11 10:31 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@DS("postgresql")
@Service
public class PrescriptionRankServiceImpl extends ServiceImpl<PrescriptionRankMapper, PrescriptionRank> implements IPrescriptionRankService {

	@Override
	public Boolean batchService(List<BasicVo> list, Integer storeTopMultiple) {
		if (CollectionUtil.isEmpty(list)) {
			return Boolean.FALSE;
		}

		remove(new QueryWrapper<>());
		List<PrescriptionRank> ranks = new ArrayList<>(30);
		list.forEach(v -> {
			PrescriptionRank rank = new PrescriptionRank();
			rank.setId(IdUtil.simpleUUID());
			rank.setClinicName(v.getKey());
			rank.setNumber(v.getValue() * storeTopMultiple);
			ranks.add(rank);
		});


		return saveBatch(ranks);
	}
}
