package com.yideb.audit.service.hub.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.IdUtil;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yideb.audit.dao.hub.StoreTrendMapper;
import com.yideb.audit.entity.audit.vo.BasicVo;
import com.yideb.audit.entity.hub.StoreTrend;
import com.yideb.audit.service.hub.IStoreTrendService;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <b>Application name：</b> yideb-audit-statistic <br>
 * <b>Application describing： </b> <br>
 * <b>Copyright：</b> Copyright &copy; 2020 明医众禾科技（北京）有限责任公司 版权所有。<br>
 * <b>Company：</b> 明医众禾科技（北京）有限责任公司 <br>
 * <b>@Date：</b> 2020/8/11 10:33 <br>
 * <b>@Author：</b> <a href="mailto:lijing@miyzh.com"> 李璟 </a> <br>
 * <b>@Checker：</b>
 */
@DS("postgresql")
@Service
public class StoreTrendServiceImpl extends ServiceImpl<StoreTrendMapper, StoreTrend> implements IStoreTrendService {

	@Override
	public Boolean insert(List<BasicVo> list, Integer storeAddDayMultiple) {
		if (CollectionUtil.isEmpty(list)) {
			return Boolean.FALSE;
		}

		if (list.size() > 1) {
			return Boolean.FALSE;
		}

		BasicVo basicVo = list.get(0);

		StoreTrend trend = new StoreTrend();
		trend.setId(IdUtil.simpleUUID());
		trend.setStatisticDate(basicVo.getKey());
		trend.setNumber(basicVo.getValue() * storeAddDayMultiple);
		return save(trend);
	}

	@Override
	public Boolean batchInsert(List<BasicVo> list, Integer storeAddDayMultiple) {
		if (CollectionUtil.isEmpty(list)) {
			return Boolean.FALSE;
		}

		// 清理数据
		remove(new QueryWrapper<>());
		// 批量保存
		List<StoreTrend> trends = new ArrayList<>(30);
		list.forEach(v -> {
			StoreTrend trend = new StoreTrend();
			trend.setId(IdUtil.simpleUUID());
			trend.setStatisticDate(v.getKey());
			trend.setNumber(v.getValue() * storeAddDayMultiple);
			trends.add(trend);
		});

		return saveBatch(trends);
	}
}
